<?php
/**
 * Created by apppash.
 * User: apppash
 * Date: 3/13/2019
 * Time: 6:23 PM
 */

$page_order_setting = get_option('woo2app_orderDetail');
if(!is_array($page_order_setting)){
	$page_order_setting =  array(
		'order_id'             =>   'on',
		'order_date'           =>   'on',
		'order_time'           =>   'on',
		'order_code'           =>   'on',
		'order_family_name'    =>   'on',
		'order_address'        =>   'on',
		'order_country'        =>   'on',
		'order_state'          =>   'on',
		'order_city'           =>   'on',
		'order_phone'          =>   'on',
		'order_post_code'      =>   'on',
		'order_tax'            =>   'on',
		'order_discount'       =>   'on',
		'order_price_all'      =>   'on',
		'order_shipping_price' =>   'on',
		'order_final_price'    =>   'on',
		'order_payment_method' =>   'on',
		'order_status'         =>   'on',
		'order_product_list'   =>   'on',
		'order_download_list'  =>   'on',
		'description'          =>   'on',
		'shipping_method'      =>   'on',
		'save_order'      =>   'on',
	);

}

?>
<div class="">
    <form method="post" action="options.php">
		<?php
		settings_fields( 'woo2app_orderDetail-group' );
		do_settings_sections('woo2app_orderDetail-group' );
		?>
        <h3 class="background-color-e5e5e5 padding-7px">
            <?php _e('Order details page setting', 'woo2app'); ?>
        </h3>
        <p>
            <?php _e('You can hide or show any of the elements.', 'woo2app'); ?>
        </p>
        <hr>
        <table class="form-table">
            <tr valign="top" class="" >
                <th scope="row" class="titledesc">
                    <?php _e('1 - Order Number', 'woo2app'); ?>
                </th>
                <td class="forminp">
                    <input type="checkbox" name="woo2app_orderDetail[order_id]" <?= checked(isset($page_order_setting['order_id']) ? $page_order_setting['order_id'] : ''  , 'on');?> />
                </td>
            </tr>
            <tr valign="top" class="" >
                <th scope="row" class="titledesc">
                    <?php _e('2 - Order Date', 'woo2app'); ?>
                </th>
                <td class="forminp">
                    <input type="checkbox" name="woo2app_orderDetail[order_date]" <?= checked(isset($page_order_setting['order_date']) ? $page_order_setting['order_date'] : ''  , 'on');?> />
                </td>
            </tr>
            <tr valign="top" class="" >
                <th scope="row" class="titledesc">
                    <?php _e('3 - Order Time', 'woo2app'); ?>
                </th>
                <td class="forminp">
                    <input type="checkbox" name="woo2app_orderDetail[order_time]" <?= checked(isset($page_order_setting['order_time']) ? $page_order_setting['order_time'] : ''  , 'on');?> />
                </td>
            </tr>
            <tr valign="top" class="" >
                <th scope="row" class="titledesc">
                    <?php _e('4 - Tracking ID', 'woo2app'); ?>
                </th>
                <td class="forminp">
                    <input type="checkbox" name="woo2app_orderDetail[order_code]" <?= checked(isset($page_order_setting['order_code']) ? $page_order_setting['order_code'] : ''  , 'on');?> />
                </td>
            </tr>
            <tr valign="top" class="" >
                <th scope="row" class="titledesc">
                    <?php _e('5 - FirstName&LastName', 'woo2app'); ?>
                </th>
                <td class="forminp">
                    <input type="checkbox" name="woo2app_orderDetail[order_family_name]" <?= checked(isset($page_order_setting['order_family_name']) ? $page_order_setting['order_family_name'] : ''  , 'on');?> />
                </td>
            </tr><tr valign="top" class="" >
                <th scope="row" class="titledesc">
                    <?php _e('6 - Address', 'woo2app'); ?>
                </th>
                <td class="forminp">
                    <input type="checkbox" name="woo2app_orderDetail[order_address]" <?= checked(isset($page_order_setting['order_address']) ? $page_order_setting['order_address'] : ''  , 'on');?> />
                </td>
            </tr><tr valign="top" class="" >
                <th scope="row" class="titledesc">
                    <?php _e('7 - Country', 'woo2app'); ?>
                </th>
                <td class="forminp">
                    <input type="checkbox" name="woo2app_orderDetail[order_country]" <?= checked(isset($page_order_setting['order_country']) ? $page_order_setting['order_country'] : ''  , 'on');?> />
                </td>
            </tr>
            <tr valign="top" class="" >
                <th scope="row" class="titledesc">
                    <?php _e('8 - Province', 'woo2app'); ?>
                </th>
                <td class="forminp">
                    <input type="checkbox" name="woo2app_orderDetail[order_state]" <?= checked(isset($page_order_setting['order_state']) ? $page_order_setting['order_state'] : ''  , 'on');?> />
                </td>
            </tr>
            <tr valign="top" class="" >
                <th scope="row" class="titledesc">
                    <?php _e('9 - City', 'woo2app'); ?>
                </th>
                <td class="forminp">
                    <input type="checkbox" name="woo2app_orderDetail[order_city]" <?= checked(isset($page_order_setting['order_city']) ? $page_order_setting['order_city'] : ''  , 'on');?> />
                </td>
            </tr>
            <tr valign="top" class="" >
                <th scope="row" class="titledesc">
                    <?php _e('10 - Phone', 'woo2app'); ?>
                </th>
                <td class="forminp">
                    <input type="checkbox" name="woo2app_orderDetail[order_phone]" <?= checked(isset($page_order_setting['order_phone']) ? $page_order_setting['order_phone'] : ''  , 'on');?> />
                </td>
            </tr>
            <tr valign="top" class="" >
                <th scope="row" class="titledesc">
                    <?php _e('11 - Postcode', 'woo2app'); ?>
                </th>
                <td class="forminp">
                    <input type="checkbox" name="woo2app_orderDetail[order_post_code]" <?= checked(isset($page_order_setting['order_post_code']) ? $page_order_setting['order_post_code'] : ''  , 'on');?> />
                </td>
            </tr>
            <tr valign="top" class="" >
                <th scope="row" class="titledesc">
                    <?php _e('12 - TAX', 'woo2app'); ?>
                </th>
                <td class="forminp">
                    <input type="checkbox" name="woo2app_orderDetail[order_tax]" <?= checked(isset($page_order_setting['order_tax']) ? $page_order_setting['order_tax'] : ''  , 'on');?> />
                </td>
            </tr>
            <tr valign="top" class="" >
                <th scope="row" class="titledesc">
                    <?php _e('13 - Discount', 'woo2app'); ?>
                </th>
                <td class="forminp">
                    <input type="checkbox" name="woo2app_orderDetail[order_discount]" <?= checked(isset($page_order_setting['order_discount']) ? $page_order_setting['order_discount'] : ''  , 'on');?> />
                </td>
            </tr>
            <tr valign="top" class="" >
                <th scope="row" class="titledesc">
                    <?php _e('14 - Total', 'woo2app'); ?>
                </th>
                <td class="forminp">
                    <input type="checkbox" name="woo2app_orderDetail[order_price_all]" <?= checked(isset($page_order_setting['order_price_all']) ? $page_order_setting['order_price_all'] : ''  , 'on');?> />
                </td>
            </tr>
            <tr valign="top" class="" >
                <th scope="row" class="titledesc">
                    <?php _e('15 - Note', 'woo2app'); ?>
                </th>
                <td class="forminp">
                    <input type="checkbox" name="woo2app_orderDetail[description]" <?= checked(isset($page_order_setting['description']) ? $page_order_setting['description'] : ''  , 'on');?> />
                </td>
            </tr>
            <tr valign="top" class="" >
                <th scope="row" class="titledesc">
                    <?php _e('16 - Shipping Method', 'woo2app'); ?>
                </th>
                <td class="forminp">
                    <input type="checkbox" name="woo2app_orderDetail[shipping_method]" <?= checked(isset($page_order_setting['shipping_method']) ? $page_order_setting['shipping_method'] : ''  , 'on');?> />
                </td>
            </tr>
            <tr valign="top" class="" >
                <th scope="row" class="titledesc">
                    <?php _e('17 - Shipping Cost', 'woo2app'); ?>
                </th>
                <td class="forminp">
                    <input type="checkbox" name="woo2app_orderDetail[order_shipping_price]" <?= checked(isset($page_order_setting['order_shipping_price']) ? $page_order_setting['order_shipping_price'] : ''  , 'on');?> />
                </td>
            </tr>
            <tr valign="top" class="" >
                <th scope="row" class="titledesc">
                    <?php _e('18 - Amount Paid', 'woo2app'); ?>
                </th>
                <td class="forminp">
                    <input type="checkbox" name="woo2app_orderDetail[order_final_price]" <?= checked(isset($page_order_setting['order_final_price']) ? $page_order_setting['order_final_price'] : ''  , 'on');?> />
                </td>
            </tr>
            <tr valign="top" class="" >
                <th scope="row" class="titledesc">
                    <?php _e('19 - Payment Method', 'woo2app'); ?>
                </th>
                <td class="forminp">
                    <input type="checkbox" name="woo2app_orderDetail[order_payment_method]" <?= checked(isset($page_order_setting['order_payment_method']) ? $page_order_setting['order_payment_method'] : ''  , 'on');?> />
                </td>
            </tr>
            <tr valign="top" class="" >
                <th scope="row" class="titledesc">
                    <?php _e('20 - Status', 'woo2app'); ?>
                </th>
                <td class="forminp">
                    <input type="checkbox" name="woo2app_orderDetail[order_status]" <?= checked(isset($page_order_setting['order_status']) ? $page_order_setting['order_status'] : ''  , 'on');?> />
                </td>
            </tr>
            <tr valign="top" class="" >
                <th scope="row" class="titledesc">
                    <?php _e('21 - Product List', 'woo2app'); ?>
                </th>
                <td class="forminp">
                    <input type="checkbox" name="woo2app_orderDetail[order_product_list]" <?= checked(isset($page_order_setting['order_product_list']) ? $page_order_setting['order_product_list'] : ''  , 'on');?> />
                </td>
            </tr>
            <tr valign="top" class="" >
                <th scope="row" class="titledesc">
                    <?php _e('22 - Download List', 'woo2app'); ?>
                </th>
                <td class="forminp">
                    <input type="checkbox" name="woo2app_orderDetail[order_download_list]" <?= checked(isset($page_order_setting['order_download_list']) ? $page_order_setting['order_download_list'] : ''  , 'on');?> />
                </td>
            </tr>
            <tr valign="top" class="" >
                <th scope="row" class="titledesc">
                    <?php _e('23 - Save&Share Order', 'woo2app'); ?>
                </th>
                <td class="forminp">
                    <input type="checkbox" name="woo2app_orderDetail[save_order]" <?= checked(isset($page_order_setting['save_order']) ? $page_order_setting['save_order'] : ''  , 'on');?> />
                </td>
            </tr>
        </table>
        <div class="padding-left-10px">
			<?php submit_button(); ?>
        </div>
    </form>
</div>
